/**
 * A constructor function (class) that can be assigned to `classType`.
 * 
 * @callback Phaser.Types.GameObjects.Group.GroupClassTypeConstructor
 * @since 3.0.0
 * 
 * @param {Phaser.Scene} scene - The Scene to which this Game Object belongs. A Game Object can only belong to one Scene at a time.
 * @param {number} x - The horizontal position of this Game Object in the world.
 * @param {number} y - The vertical position of this Game Object in the world.
 * @param {string} texture - The key of the Texture this Game Object will use to render with, as stored in the Texture Manager.
 * @param {(string|integer)} [frame] - An optional frame from the Texture this Game Object is rendering with.
 *
 * @see Phaser.GameObjects.Group#classType
 */
